%global fontname reeniebeanie
%global fontconf 61-%{fontname}-fonts.conf
%global alphatag 20140913hg


Name:          %{fontname}-fonts
Version:       1.000
Release:       0.10.%{alphatag}%{?dist}
Summary:       Reenie Beanie font by James Grieshaber
License:       OFL
URL:           http://www.google.com/fonts/specimen/Reenie+Beanie
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/ReenieBeanie.ttf
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/reeniebeanie/OFL.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Reenie Beanie is a fun font based on basic ball-point pen handwriting. It has a
playful and loose look, which lends itself to casual and informal messages. With
a little imagination, Reenie Beanie could be used to represent the scribbling of
a mad scientist, or the recipes of a genius chef.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .
# Correct wrong-file-end-of-line-encoding error for OFL.txt
sed -i 's/\r$//' OFL.txt


%build
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.10.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.9.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.8.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.7.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.000-0.6.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-0.5.20140913hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Sep 13 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.4.20140913hg
- Correct prep section.
- Correct summary.

* Sat Sep 13 2014 Julien Enselme <jujens@jujens.eu> - 1.000-0.3.20140913hg
- Correct source URLs.

* Tue Sep 09 2014 Julien Enselme <jujens@jujens.eu> - 1.000-2.716ff965e2b0hg
- Correct version.
- Remove files macro.

* Wed Sep 03 2014 Julien Enselme <jujens@jujens.eu> - 1.000-1.716ff965e2b0hg
- Initial packaging.
